Bug 118020 - httpd crashes if one line uncommented from pristine install
httpd crashes if one line uncommented from pristine install
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: httpd (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
: 104257 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2004-03-11 02:14 EST by P Fudd
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-19 15:29:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description P Fudd 2004-03-11 02:14:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040115

Description of problem:
I uncommented the line that says 'NameVirtualHost *:80' at the end of
/etc/httpd/conf/httpd.conf, and now the children of httpd segfault on
every page.

Version-Release number of selected component (if applicable):
httpd-2.0.46-25.ent, httpd-2.0.46-30.ent

How reproducible:

Steps to Reproduce:
1. Uncomment the NameVirtualHost *:80 line in httpd.conf
2. Load any page


Actual Results:  3. Segfault
4. ???
5. Profit!

Expected Results:  I expected no change in behaviour.

Additional info:

This is a fresh install of Taroon.

I had actually created a virtual server, and it segfaulted too.  I
isolated the problem to this particular line by going back to pristine
config files and uncommenting one line at a time.  Good thing this
happened with the first line, or it might have gotten tedious.

I'm thinking it might be related to mod_ssl.

Doing 'cd /etc/httpd/conf.d; rpm -qf * | sort -u' gives:

Comment 1 Joe Orton 2004-03-11 02:45:06 EST
*** Bug 104257 has been marked as a duplicate of this bug. ***
Comment 2 Joe Orton 2004-03-11 02:51:38 EST
Thanks for the report.

A correct configuration must define at least one VirtualHost for the
:80 port, i.e.

NameVirtualHost *:80

<VirtualHost *:80>
   ServerName my.server.com

the segmentation fault occurs if *no* VirtualHosts are configured for
the port.
Comment 3 RHEL Product and Program Management 2007-10-19 15:29:07 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
For more information of the RHEL errata support policy, please visit:
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.